:root {
  --gl-star-color: #fdd835;
  --gl-star-color-inactive: #dcdce6;
  --gl-star-empty: url(../../assets/images/star_empty.svg);
  --gl-star-full: url(../../assets/images/star.svg);
  --gl-star-size: 24px;
  --gl-tooltip-background: rgba(17, 17, 17, 0.9);
  --gl-tooltip-border-radius: 4px;
  --gl-tooltip-color: #fff;
  --gl-tooltip-font-size: 0.875rem;
  --gl-tooltip-font-weight: 400;
  --gl-tooltip-line-height: 1;
  --gl-tooltip-margin: 12px;
  --gl-tooltip-padding: 0.5em 1em;
}

body.aisearch {
  .headerTitle {
    padding: 1.15rem 0;
    h3 {
      color: #f7941e;
      font-weight: 500;
      margin: 0;
    }
    p {
      margin: 0;
      small {
        font-size: 1.25rem;
      }
    }
  }

  .page {
    background: #eee;
  }

  &:not(:has(> .site-menu-item.active)) {
    .site-menubar-logo {
      border: none;
    }
    .site-menu {
      .menu-home > a {
        background-color: var(--color-orange);
        color: #fff;
      }
    }
  }

  #searchBanner {
    margin: -30px -30px 3rem;
    background: url(../../assets/images/banner.jpg) center bottom no-repeat;
    background-size: cover;

    .top {
      max-width: 1100px;
      margin: 0 auto;
      padding: 6rem 30px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      .logo {
        text-align: center;
        margin-bottom: 0rem;

        img {
          display: block;
          margin: 0;
        }
        h1 {
          color: var(--color-orange);
          font-weight: 600;
          margin: 0;
          font-size: 30px;
          i {
            color: var(--color-gris-fonce);
            margin-right: 0.5rem;
          }
        }
        span {
          font-size: 20px;
        }
      }

      #searchSuggestion {
        margin: 3rem 0 3rem;
        position: relative;

        & > h6 {
          font-size: 16px;
          font-weight: 600;
        }

        #suggestionItems {
          display: flex;
          justify-content: space-between;
          gap: 4rem;

          .suggestion {
            flex: 1;
            align-items: center;
            display: flex;
            justify-content: space-between;
            flex-direction: row;

            a {
              display: flex;
              width: 100%;
              flex-direction: column;
              align-items: center;
              align-self: stretch;
              justify-content: center;
              font-size: 14px;
              font-weight: 600;
              color: #2e2e2e;
              line-height: 2rem;
              text-align: center;
              position: relative;
              background: rgb(255 255 255 / 60%);
              padding: 1rem 2rem;
              border-radius: 4px;
              transition: all ease-in-out 0.3s;
              border: 1px solid #fff;
              
              
              
              
              
              

              .bi-search {
                background: #f89520;
                color: #fff;
                width: 26px;
                height: 26px;
                text-align: center;
                line-height: 31px;
                border-radius: 50%;
                font-size: 1.25rem;
                transition: all ease-in-out 0.3s;
                margin-top: 1rem;
              }
            }

            &:hover,
            &.active {
              a {
                background: rgb(251 140 0 / 60%);
                text-decoration: none;
                .bi-search {
                  background: #fff;
                  color: var(--color-orange);
                }
              }
            }
          }
        }
      }

      .tips {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        width: 100%;

        & > span {
          display: flex;
          width: 28px;
          height: 28px;
          flex: 0 0 28px;
          align-items: center;
          justify-content: center;
          background: var(--color-gris-fonce);
          border-radius: 50%;
          margin-right: 7px;

          i {
            color: #fff;
            font-size: 1.8rem;
            position: relative;
            top: 3px;
            left: 0.5px;
          }
        }

        & > p {
          font-size: 16px;
          margin: 3px 0 0;
        }
      }
    }
  }

  .homeStats {
    background: #f89520;
    padding: 4rem 0;
    margin: 0rem -30px 3rem;
    .chiffresCles {
      max-width: 1100px;
      margin: 0 auto;
      display: flex;
      align-items: center;
      justify-content: space-between;

      & > div {
        display: flex;
        align-items: center;
        color: #fff;
        font-size: 2rem;
        img {
          margin-right: 2rem;
        }
        h4 {
          margin: 0;
          font-size: 4rem;
          font-weight: 600;
          color: #fff;
          line-height: 3rem;
        }
        p {
          margin: 0;
        }
      }
    }
  }
}

#searchBox,
#searchBoxTop {
  background: #fff;
  padding: 0.75rem;
  border-radius: 30px;
  width: 100%;
  display: flex;
  margin-top: 1rem;
  border: 3px solid var(--color-orange);
  position: relative;
  height: 61px;
  
  

  .aiLabel {
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--color-orange);
    color: #fff;
    border-radius: 30px;
    padding: 0 1rem;
    font-size: 14px;
    font-weight: 600;
    line-height: 1rem;
    i {
      margin-right: 0.5rem;
      font-size: 2rem;
    }
  }

  & > i.fa {
    color: #f89520;
    margin: 0 1rem 0 0rem;
    font-size: 2.5rem;
    transform: scaleX(-1);
    position: relative;
  }

  form {
    flex: 1;
    display: flex;
    input[type="text"] {
      width: 100%;
      font-size: 1.75rem;
      color: #757575;
      background: transparent;
      border: none;
      resize: none;
      padding: 0 7rem 0 2rem;
    }
    button {
      margin-left: auto;
      display: flex;
      height: 61px;
      width: 61px;
      position: absolute;
      right: -3px;
      top: -3px;
      border-radius: 50px;
      align-items: center;
      justify-content: center;
      border: none;
      
      i {
        line-height: 27px;
        
        
        &::before {
          font-size: 2rem;
          position: relative;
          top: 0.25rem;
        }
      }
    }

    #AISearchExtended {
      display: none;
    }
  }

  &.small {
    margin-bottom: 2rem;
    border: 1px solid #c8c8c8;
    & > i.fa {
      display: none;
    }
    form {
      display: flex;
      align-items: center;
      flex: 1;
      align-self: stretch;
      input[type="text"] {
        margin-right: 4rem;
        min-height: 40px;
        width: 100%;
        font-size: 1.75rem;
        color: #757575;
        background: transparent;
        border: none;
        resize: none;
      }
    }
  }

  &.results {
    #AISearchButton {
      top: -2px;
    }
  }
}

#searchBoxTop {
  margin: 0 !important;
  border: none !important;
  padding: 0;
  height: 36px;
  justify-content: flex-start;

  form {
    margin: 0 0 0 2rem !important;

    .searchBoxField {
      display: flex;
      align-items: center;
      width: 100%;

      i {
        font-size: 2rem;
        position: relative;
        top: 4px;
      }

      #AISearchInputTop {
        margin: 0;
        padding: 0 2rem 0 1rem;
      }
    }

    #AISearchButtonTop {
      display: none;
    }
  }
}

#preview-container {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #3d3f41e8;
  padding: 20px;
  z-index: 999999;
  backdrop-filter: blur(2px);
  top: 0;
  left: 0;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  &.show {
    display: flex !important;
  }

  #pdfContainer {
    width: 80vw;
    height: 80vh;
    #viewer {
      width: 100%;
      height: 100%;
    }
  }

  #bottomContainer {
    width: 80vw;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: 12px;
    padding: 2rem 2rem 1.9rem;
    font-weight: 600;

    #closePreview {
      position: absolute;
      right: 2rem;
      font-size: 3rem;
      top: 50%;
      transform: translateY(-40%);
    }

    #rating {
      display: flex;
      align-items: center;

      #ratingComponent {
        margin-left: 1rem;
        position: relative;
        top: -3px;
      }

      #downloadPreview {
        position: absolute;
        right: 7rem;
        padding: 0.5rem 2rem 0.2rem;
        border-radius: 30px;
        top: 50%;
        transform: translateY(-50%);
      }
    }
  }
}

[data-star-rating] > select {
  -webkit-clip-path: circle(1px at 0 0) !important;
  clip-path: circle(1px at 0 0) !important;
  clip: rect(1px, 1px, 1px, 1px) !important;
  height: 1px !important;
  margin: 0 !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  top: 0 !important;
  visibility: visible !important;
  white-space: nowrap !important;
  width: 1px !important;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  pointer-events: none;
}
[data-star-rating] > select:after,
[data-star-rating] > select:before {
  display: none !important;
}
[data-star-rating].gl-star-rating--ltr > select {
  left: 0 !important;
}
[data-star-rating].gl-star-rating--rtl > select {
  right: 0 !important;
}
[data-star-rating] {
  align-items: center;
  display: flex;
  position: relative;
}
.gl-star-rating:not([data-star-rating]) .gl-star-rating--stars {
  display: none;
}
[data-star-rating] .gl-star-rating--stars {
  align-items: center;
  cursor: pointer;
  display: flex;
  position: relative;
}
[data-star-rating]
  > select:focus
  + .gl-star-rating--stars
  span:first-child:before {
  box-shadow: 0 0 0 3px -moz-mac-focusring;
  box-shadow: 0 0 0 3px -webkit-focus-ring-color;
  box-shadow: 0 0 0 3px Highlight;
  content: "";
  display: block;
  height: 100%;
  outline: 1px solid transparent;
  pointer-events: none;
  position: absolute;
  width: 100%;
}
[data-star-rating] select[disabled] + .gl-star-rating--stars {
  cursor: not-allowed;
  pointer-events: none;
}
[data-star-rating] .gl-star-rating--stars > span {
  display: flex;
  height: 24px;
  height: var(--gl-star-size);
  margin: 0;
  width: 24px;
  width: var(--gl-star-size);
}
[data-star-rating] .gl-star-rating--stars[aria-label]:after,
[data-star-rating] .gl-star-rating--stars[aria-label]:before {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  bottom: auto;
  box-sizing: border-box;
  left: 100%;
  pointer-events: none;
  position: absolute;
  top: 50%;
  transform-origin: top;
  transform: translate3d(0, -50%, 0);
  white-space: nowrap;
  z-index: 10;
}
[data-star-rating] .gl-star-rating--stars[aria-label]:before {
  background: rgba(17, 17, 17, 0.9);
  background: var(--gl-tooltip-background);
  -webkit-clip-path: path(
    "M6 14.998c0-3-6-5.499-6-7.499S5.999 3 5.999 0L6 14.998z"
  );
  clip-path: path("M6 14.998c0-3-6-5.499-6-7.499S5.999 3 5.999 0L6 14.998z");
  content: "";
  height: 15px;
  margin: 0 0 0 6px;
  width: 6px;
}
[data-star-rating] .gl-star-rating--stars[aria-label]:after {
  background: rgba(17, 17, 17, 0.9);
  background: var(--gl-tooltip-background);
  border-radius: 4px;
  border-radius: var(--gl-tooltip-border-radius);
  color: #fff;
  color: var(--gl-tooltip-color);
  content: attr(aria-label);
  font-size: 0.875rem;
  font-size: var(--gl-tooltip-font-size);
  font-weight: 400;
  margin-left: 12px;
  margin-left: var(--gl-tooltip-margin);
  padding: 0.5em 1em;
  padding: var(--gl-tooltip-padding);
  text-transform: none;
}
[data-star-rating].gl-star-rating--rtl .gl-star-rating--stars[aria-label]:after,
[data-star-rating].gl-star-rating--rtl
  .gl-star-rating--stars[aria-label]:before {
  left: auto;
  right: 100%;
}
[data-star-rating].gl-star-rating--rtl
  .gl-star-rating--stars[aria-label]:before {
  transform: scaleX(-1) translate3d(0, -50%, 0);
  margin: 0 6px 0 0;
}
[data-star-rating].gl-star-rating--rtl
  .gl-star-rating--stars[aria-label]:after {
  margin-left: 0;
  margin-right: 12px;
  margin-right: var(--gl-tooltip-margin);
}
[data-star-rating] svg {
  height: 100%;
  width: 100%;
}
[data-star-rating] .gl-star-half {
  fill: none;
  stroke: none;
}
[data-star-rating] .gl-star-full {
  fill: #dcdce6;
  fill: var(--gl-star-color-inactive);
  stroke: #dcdce6;
  stroke: var(--gl-star-color-inactive);
  transition: fill 0.15s ease-in-out, stroke 0.15s ease-in-out;
}
[data-star-rating] .gl-active .gl-star-full {
  fill: #fdd835;
  fill: var(--gl-star-color);
  stroke: #fdd835;
  stroke: var(--gl-star-color);
}
.gl-star-rating--stars[class*=" s"] > span {
  background-image: url(../img/star-empty.svg) !important;
  background-image: var(--gl-star-empty) !important;
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: 90%;
}
.gl-star-rating--stars[class*=" s"] > span.gl-active,
.gl-star-rating--stars[class*=" s"] > span.gl-active.gl-selected {
  background-image: url(../img/star-full.svg) !important;
  background-image: var(--gl-star-full) !important;
}

.no-sort::after {
  display: none !important;
}
.no-sort {
  pointer-events: none !important;
  cursor: default !important;
}

@media screen and (max-width: 767px) {
  body.aisearch {
    & #searchBanner {
      margin-left: -5px;
      margin-right: -5px;
      max-width: 100vw;
      overflow: hidden;

      & .top {
        & #searchSuggestion {
          width: 100%;

          .bx-wrapper {
            .bx-viewport {
              border: none;
              left: 0;
              box-shadow: none;
              background: none;
            }

            .bx-controls {
              a {
                background: url("data:image/svg+xml,%3Csvg width='14' height='22' viewBox='0 0 14 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.1817 22L0.258072 11L11.1817 -2.23822e-07L13.7419 2.57812L5.37853 11L13.7419 19.4219L11.1817 22Z' fill='%236E6E71'/%3E%3C/svg%3E%0A")
                  30% 50% no-repeat;
              }
              .bx-prev {
                left: -30px;
              }
              .bx-next {
                right: -30px;
                transform: rotate(180deg);
              }
            }
          }

          #suggestionItems {
            gap: 0;

            .suggestion {
              flex: none;
            }
          }
        }
        .tips {
          align-items: center;

          > p {
            line-height: 2rem;
          }
        }
      }
    }
  }

  #searchBox,
  #searchBoxTop{
    width: 100%;
    height: 50px;
    border: 2px solid var(--color-orange) !important;
    

    &#searchBoxTop{
      width: 100%;
      margin: 1rem 0 !important;
      padding: 0.75rem;

      form{
        margin-left: 1rem !important;
        .searchBoxField{
          i{
            top: 3px;
          }
        }
      }
    }
  
    .aiLabel{
      width: 31px;
      height: 31px;
      overflow: hidden;
      font-size: 0;
      position: relative;
      top: 0px;

      i{
        position: relative;
        left: 3px;
        font-size: 1.75rem;
      }
    }

    form{
      input[type="text"]{
        padding: 0 5rem 0 1rem;
      }
      #AISearchButton{
        height: 50px;
        width: 50px;
      }  
    }
  }

  #preview-container {
    #pdfContainer{
      height: calc(90vh - 140px);
      width: 90vw;
    }
    & #bottomContainer {
      width: 90vw;
      
      #closePreview{
      transform: none;
      top: initial;
      bottom: 1rem;
      }
      & #rating {
        flex-direction: column;
        #ratingComponent{
          margin: 0.5rem 0;
        }
        #downloadPreview {
          position: initial;
          transform: none;
          margin: 1rem auto 0 0;
        }
      }
    }
  }
}
